Subject: bug#32850: 27.0.50; window-swap-states doesn't swap window prev/next-buffers

From: Juri Linkov <[email-masked]>
Date: Wed, 21 Nov 2018 02:08:27 +0200

> Also note that the overhead induced by executing these functions then
> becomes proportional to the value of the prefix argument (for each
> single switch you call 'set-window-prev-buffers',
> 'set-window-next-buffers' 'record-window-buffer',
> 'unrecord-window-buffer' and run 'buffer-list-update-hook',
> 'window-scroll-functions' and 'window-configuration-change-hook').

Aren't hooks intended to run only once when the command is finished?

> Finally note that you change 'buffer-display-time' without actually
> displaying the buffer and the mystic last_selected_window slot in
> buffer.h.

Whereas 'buffer-display-time' is not very important, changing
its value looks wrong, indeed.